using System.Text.Json;
using System.Text.Json.Serialization;

namespace FileExposer.Models;

public record SyncConfiguration(string ExcludePatternsFile,
                                string IncludePatternsFile,
                                int SecondThreshold)
{

    public override string ToString()
    {
        string result = JsonSerializer.Serialize(this, SyncConfigurationSourceGenerationContext.Default.SyncConfiguration);
        return result;
    }

}

[JsonSourceGenerationOptions(WriteIndented = true)]
[JsonSerializable(typeof(SyncConfiguration))]
internal partial class SyncConfigurationSourceGenerationContext : JsonSerializerContext
{
}